Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher.search
Class AbstractSearchPersist

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.search.AbstractSearchPersist

public abstract class AbstractSearchPersist
extends java.lang.Object

Constructor Summary
`AbstractSearchPersist()` Constructor

Method Summary
`abstract java.util.List` | `getSearchResults(java.lang.String inSearchID, java.util.Map inParams, java.lang.String inCodFirstObj, java.lang.String inCodLastObj)` Obtiene una lista con los resultados de la búsqueda NOTA: Los resultados de la busqueda se obtienen como objetos SearchResultElement que contienen atributos (entre otros): - Código - URL del destino - Título del documento - Descripción del documento - etc
`abstract long` | `getTotalResultElementsCount(java.lang.String searchID, java.util.Map params, int pageSize)` Devuelve el numero total de elementos resultado de la búsqueda.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSearchPersist

    public AbstractSearchPersist()

  Constructor

Method Detail

### getTotalResultElementsCount

    public abstract long getTotalResultElementsCount(java.lang.String searchID,
                                                     java.util.Map params,
                                                     int pageSize)
                                              throws SearchException

  Devuelve el numero total de elementos resultado de la búsqueda. A este método se llama en la fase de inicialización de la búsqueda cuando se compone el objeto que se encarga de mantener la paginación

  Returns:
    Un objeto que esencialmente es una Hashtable que relaciona los números de página con el código del primer elemento de cada página: 1 1002 El primer elemento de la página 1 es el 1002 2 2315 El primer elemento de la página 2 es el 2315 ... Además la clase ofrece métodos para navegar a través de las páginas.
  Throws:
    `SearchException`

### getSearchResults

    public abstract java.util.List getSearchResults(java.lang.String inSearchID,
                                                    java.util.Map inParams,
                                                    java.lang.String inCodFirstObj,
                                                    java.lang.String inCodLastObj)
                                             throws SearchException

  Obtiene una lista con los resultados de la búsqueda NOTA: Los resultados de la busqueda se obtienen como objetos SearchResultElement que contienen atributos (entre otros): - Código - URL del destino - Título del documento - Descripción del documento - etc

  Returns:
    Lista de resultados en la búsqueda actual
  Throws:
    `SearchException` - si ocurre algun error durante la búsqueda

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD